## ros-galactic-ur-bringup 2.1.2

=== debian/changelog ===
ros-galactic-ur-bringup (2.1.2-1focal) focal; urgency=high

  * Fix force_torque_sensor_broadcaster config (#406 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/406>)
  * Fix dependencies for galactic (#392 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/392>)
  * Contributors: Felix Exner, Robert Wilbrandt

 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 26 Jul 2022 22:00:00 -0000

ros-galactic-ur-bringup (2.1.1-1focal) focal; urgency=high



 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 04 May 2022 22:00:00 -0000

ros-galactic-ur-bringup (2.1.0-1focal) focal; urgency=high

  * Updated package maintainers (#360 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/360>)
  * Add sphinx documentation (#340 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/340>)
  * Use upstream fts_broadcaster (#304 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/304>)
  * Update license to BSD-3-Clause (#277 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/277>)
  * Only start controller_stopper when not using fake_hardware (#332 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/332>)
  * Added controller stopper node (#309 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/309>)
  * Fix package dependencies (#306 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/306>)
  * Make documentation on how to use driver clearer. (#300 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/300>)
  * Update MoveIt file for working with simulation. (#278 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/278>)
  * Start the tool communication script if the flag is set (#267 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/267>)
  * Used ``spawner`` instead of ``spanwer.py`` in launch files (#293 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/293>)
  * Do not start dashboard client if FakeHardware simuation is used. (#286 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/286>)
  * Use scaled trajectory controller per default. (#287 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/287>)
  * Separate control node (#281 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/281>)
  * Fix launch file arguments. (#243 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/243>)
  * Move Servo launching into the main MoveIt launch file. Make it optional. (#239 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/239>)
  * Tool communication (#218 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/218>)
  * fix missing executable arg of joint_state_broadcaster (#248 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/248>)
  * Remove obsolete comment 🐒 (#242 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/242>)
  * Revert "Ignition Gazebo simulation for UR robots (#232 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/232>)" (#241 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/241>)
  * Use 'spawner' instead of 'spawner.py' (#225 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/225>)
  * Ignition Gazebo simulation for UR robots (#232 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/232>)
  * Empirically set update rates. (#227 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/227>)
  * Fix update rate configuration (#222 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/222>)
  * Test execution tests (#216 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/216>)
  * Integration tests improvement (#206 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/206>)
  * Add resend program service and enable headless mode (#198 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/198>)
  * Add default per joint constraints. (#203 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/203>)
  * Do not customize the planning scene topics (#205 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/205>)
  * Implement "choices" for robot_type param (#204 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/204>)
  * Joint limits parameters for Moveit planning (#187 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/187>)
  * Rename the joint controller that is launched by default (#185 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/185>)
  * Enabling velocity mode (#146 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/146>)
  * Add parameters for checking start state (#143 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/143>)
  * Update for changes to ros2_control and ros2_controllers
    See: https://github.com/ros-controls/ros2_control/commit/156a3f6aaed319585a8a1fd445693e2e08c30ccd
    and: https://github.com/ros-controls/ros2_controllers/commit/612f610c24d026a41abd2dd026902c672cf778c9#diff-5d3e18800b3a217b37b91036031bdb170f5183970f54d1f951bb12f2e4847706
  * Removed dashboard client from hardware interface
  * README cleanup, make MoveIt installation optional (#86 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/86>)
  * Using modern python
  * Restore ur_control.launch.py
  * Added view_ur for checking description
  * Make an optional launch arg for RViz, document it in README (#82 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/82>)
  * Review CI by correcting the configurations (#71 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/71>)

